<?php
$this->layout('base');
?>
<!-- ------------------------------------------ Overview ----------------------------------------------------------- -->
                <section class="row">
                        <div class="col-sm-5 col-md-4 col-lg-4 hidden-xs">
                            <?php if (empty ($software->logo_directory) || empty($software->photo)) : ?>
                                <?= $this->Html->link($this->Html->image("logos/Softwarelogo_placeholder.jpg",
                                    ["alt" => $software->softwarename, "class" => "img-responsive size-logo-overview"]),
                                    ['controller' => 'Softwares', 'action' => 'view', $software->id],
                                    ['escape' => false]) ?>
                            <?php else : ?>
                                <?= $this->Html->link($this->Html->image(COMPTOIR_SRV_URL . $software->logo_directory . DS . $software->photo,
                                    ["alt" => $software->softwarename, "class" => "img-responsive size-logo-overview"]),
                                    "#",// url of the entity web site.
                                    ['escape' => false]) ?>
                            <?php endif; ?>
                        </div>

                        <div class="col-xs-12 col-sm-7 col-md-7 col-lg-7">
                            <ul class="list-unstyled metric-score">
                                <li>
                                    <div class="align">
                                        <h1>
                                            <?= $software->softwarename ?>
                                        </h1>
                                        <?= $this->Score->note(isset($software->softwares_statistic->score) ? $software->softwares_statistic->score : null, ['title' => __d("Softwares", "Score: {0} %", isset($software->softwares_statistic->score) ? round($software->softwares_statistic->score, 0) : "NA")]) ?>
                                    </div>
                                </li>
                                <li>
                                    <?= $this->Html->link($software->url_repository,
                                        $software->url_repository,
                                        ['escape' => false]) ?>
                                </li>
                                <li>
                                    <p class="text-overflow">
                                        <?= $software->description ?>
                                    </p>
                                </li>
                            </ul>
                        </div>
                </section>
<!-- ------------------------------------------------ End overview ------------------------------------------------ -->

                <section>
                    <?php echo $this->Lists->block(

                        \Cake\Utility\Hash::extract($software->screenshots, '{n}'),
                        [
                            "type" => 'screenshots',
                            "title" => __d("Softwares", "Screenshots of {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "screenshots",
                                "participate" => __d("Layout"," Add"),
                            ],
                            "linkParticipate" => [
                                "id" => $software->id,
                                "action" => "",
                                "text" => __d("Softwares", "Add a screenshot for {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all ({0} screenshots)",count(\Cake\Utility\Hash::extract($software->screenshots, '{n}'))),
                            'titleSeeAll' => __d("Softwares", "See all screenshots of {0}", $software->softwarename),
                            "titleAddMore" => __d("Softwares", "Add a screenshot for {0}.", $software->softwarename),
                            "emptyMsg" => __d("Softwares", "No screenshot for {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php
                    echo $this->Lists->block(
                        \Cake\Utility\Hash::extract($software->reviews, '{n}'),
                        [
                            "type" => 'reviews',
                            "title" => __d("Softwares", "Reviews for {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "reviewsSoftware",
                                "participate" => __d("Layout", " Add"),
                            ],
                            "linkParticipate" => [
                                "id" => $software->id,
                                "action" => "addReview",
                                "text" => __d("Layout", " Add"),
                            ],
                            "tooManyMsg" => __d("Layout", "See all ({0} reviews)",count(\Cake\Utility\Hash::extract($software->reviews, '{n}'))),
                            "titleSeeAll" => __d("Softwares", "See all reviews of {0}", $software->softwarename),
                            "titleAddMore" => __d("Softwares", "Add a review for {0}.", $software->softwarename),
                            "emptyMsg" => __d("Softwares", "No review for {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->block(
                        \Cake\Utility\Hash::extract($software->providerssoftwares, '{n}.user'),
                        [
                            "type" => 'users',
                            "title" => __d("Softwares", "Service providers for {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "servicesProviders",
                                "participate" => __d("Layout", " Add"),
                            ],
                            "linkParticipate" => [
                                "id" => $software->id,
                                "action" => "addServicesProvider",
                                "text" => __d("Softwares", "Add yourself as a service provider of {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all ({0} services providers)",count(\Cake\Utility\Hash::extract($software->providerssoftwares, '{n}.user'))),
                            "titleSeeAll" => __d("Softwares", "See all service providers of {0}", $software->softwarename),
                            "titleAddMore" => __d("Softwares", "Add yourself as a service provider of {0}.", $software->softwarename),
                            "emptyMsg" => __d("Softwares", "No service provider for {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->block(
                        \Cake\Utility\Hash::extract($software->userssoftwares, '{n}.user'),
                        [
                            "type" => 'users',
                            "title" => __d("Softwares", "Users of {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "usersSoftware",
                                "participate" => __d("Layout", " Add"),
                            ],
                            "linkParticipate" => [
                                "id" => $software->id,
                                "action" => "addUserOf",
                                "text" => __d("Softwares", "Add yourself as a user of {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all ({0} users)",count(\Cake\Utility\Hash::extract($software->userssoftwares, '{n}.user'))),
                            "titleSeeAll" => __d("Softwares", "See all declared users of {0}", $software->softwarename),
                            "titleAddMore" => __d("Softwares", "Add yourself as a user of {0}.", $software->softwarename),
                            "emptyMsg" => __d("Softwares", "No user for {0}", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->block(
                        \Cake\Utility\Hash::extract($software->alternativeto, '{n}.software'),
                        [
                            "type" => 'softwares',
                            "title" => __d("Softwares", "Alternative to {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "alternativeTo",
                                "participate" => __d("Layout", " Add"),
                            ],
                            "linkParticipate" => [
                                "id" => $software->id,
                                "action" => "",
                                "text" => __d("Softwares", "Add a software that is an alternative to {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all ({0} softwares)",count(\Cake\Utility\Hash::extract($software->alternativeto, '{n}.software'))),
                            "titleSeeAll" => __d("Softwares", "See all alternatives to {0}", $software->softwarename),
                            "titleAddMore" => __d("Softwares", "Add a software that is an alternative to {0}.", $software->softwarename),
                            "emptyMsg" => __d("Softwares", "No alternative to {0}.", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->Lists->block(
                        \Cake\Utility\Hash::extract($software->workswellsoftwares, '{n}.software'),
                        [
                            "type" => 'softwares',
                            "title" => __d("Softwares", "Working well with {0}", $software->softwarename),
                            "link" => [
                                "id" => $software->id,
                                "action" => "workswellSoftware",
                                "participate" => __d("Layout", " Add", $software->softwarename),
                            ],
                            "linkParticipate" => [
                                "id" => $software->id,
                                "action" => "",
                                "text" => __d("Softwares", "Add a software that works well with {0}.", $software->softwarename),
                            ],
                            "tooManyMsg" => __d("Layout", "See all ({0} softwares)",count(\Cake\Utility\Hash::extract($software->workswellsoftwares, '{n}.software'))),
                            "titleSeeAll" => __d("Softwares", "See all softwares working well with {0}", $software->softwarename),
                            "titleAddMore" => __d("Softwares", "Add a software that works well with {0}.", $software->softwarename),
                            "emptyMsg" => __d("Softwares", "There are no project for {0}", $software->softwarename)
                        ]
                    ); ?>
                </section>

                <section>
                    <?php echo $this->element("Softwares/metrics", ['software' => $software]) ?>
                </section>