<?php
$this->layout("base");

$this->assign('title', __d("Forms",'Create an account{0}', isset($message) ? " - ".__d("Forms",$message) : ""));
//debug ($rules);
?>

<div class="row">
    <div class = "warning-form bg-warning text-center col-xs-offset-3 col-xs-6">
            <?= __d("Forms","Fields marked with an asterisk ({0}) are required.",'<span class = "asterisk">*</span>'); ?>
    </div>
</div>

<div class="row">
    <div class = "col-xs-offset-3 col-xs-6">

        <?= $this->FormComptoir->create(null,['type' => 'file',"enctype"=>"multipart/form-data",'url' => ['controller' => 'Users', 'action' => 'add']]) ?>
        <fieldset>
            <legend><?= __d("Forms",'Create an account') ?></legend>

            <div  class = "form-group">
                <label class = "control-label" for="userTypes"><?=__d("Forms","{0} User type: ", '<span class = "asterisk">*</span>')?></label>

                <?php

                echo $this->FormComptoir->input('userTypes',
                    ["class"=>"form-control",
                        'name'=>'user_type_id',
                        'options' => isset($item->userTypes) ? $item->userTypes : $userTypes,
                        "label"=>false,
                        "required"=>"required"]);
                ?>
            </div>


            <div  <?= (isset( $user->username->_isUnique )) ? 'class="form-group has-error "' : 'class="form-group"'?>>
            <label class = "control-label" for="username"><?=__d("Forms", "{0} Name: ",'<span class = "asterisk">*</span>')?></label>
                <?= $this->FormComptoir->input('username',
                    ["class"=>"form-control",
                        'label'=>false,
                        "required"=>"required",
                        "error"=> (isset( $user->username->_isUnique )) ? __d("Forms",(array)$user->username->_isUnique): null,
                        "escape" => false
                    ]);?>
            </div>
            <div  <?= (isset( $user->email->_isUnique )) ? 'class="form-group has-error "' : 'class="form-group"'?>>
                <label class = "control-label" for="email"><?=__d("Forms","{0} Email: ", '<span class = "asterisk">*</span>')?></label>
                <?= $this->FormComptoir->input('email',
                    ["class"=>"form-control",
                    'label'=>false,
                    "required"=>"required",
                    "error"=> (isset( $user->email->_isUnique )) ? __d("Forms",(array)$user->email->_isUnique): null,
                    ]); ?>
            </div>
            <div class='form-group'>
                <?= $this->FormComptoir->input('description',["type"=>"textarea","class"=>"form-control","label"=>__d("Forms","Description : ")]); ?>
            </div>
            <div class='form-group'>
                <?= $this->FormComptoir->input('role',['value' => 'User','type'=>'hidden',"required"=>"required"]); ?>
            </div>


            <div  <?= (isset( $user->password->compare )) ? 'class="form-group has-error "' : 'class="form-group"'?>>

                <label  class = "control-label" for="password"><?= __d("Forms"," {0} Password : ", '<span class = "asterisk">*</span>')?></label>

                <?php echo  $this->FormComptoir->input(
                    'password',
                    [
                        "class"=>"form-control",
                        'label'=>false,
                        "required"=>"required",
                        "error"=> isset( $user->password->compare ) ? __d("Forms",(array)$user->password->compare) : null,
                    ]
                ); ?>
            </div>
             <div  <?= (isset( $user->password->compare )) ? 'class="form-group has-error "' : 'class="form-group"'?>>

                <label class = "control-label" for="password"><?= __d("Forms"," {0} Confirm password : ", '<span class = "asterisk">*</span>')?></label>
                <?= $this->FormComptoir->input('password',
                    ["class"=>"form-control",
                    'label'=>false,
                    "required"=>"required",
                    "name" => "confirm_password",
                    "id" => "confirm_password" ,
                    "error"=> isset( $user->password->compare ) ? __d("Forms",(array)$user->password->compare) : null,
                    ]
                ); ?>
            </div>


            <div  <?= (isset( $user->photo ) && is_array($user->photo)) ? 'class="form-group has-error "' : 'class="form-group"'?>>
                <label class = "control-label" for="photo"><?=__d("Forms", "Avatar: ")?></label>

                <?= $this->FormComptoir->input('photo',
                    [
                        'type' => 'file',
                        "label"=>false
                    ])
                ?>
                <?= (isset( $user->photo ) && is_array($user->photo)) ? '<p class="help-block">' : null ?>
                <?php foreach ($rules->photo as $item) : ?>

                    <?php if (isset($item->message)) : ?>

                        <span><?= __d("Forms",$item->message) ?></span>
                    <?php endif; ?>

                <?php endforeach;?>
                <?= (isset( $user->photo )&& is_array($user->photo))? '</p>' : null ?>
            </div>
        </fieldset>
        <?= $this->FormComptoir->button(__d("Forms","Sign up"),["class"=>"btn btn-default addmore"]) ?>
        <?= $this->FormComptoir->end() ?>
    </div>

</div>